Constants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Interface Constants

    public interface Constants

This class provides numerous string constants (typically column names for VPF tables) from the VPF Specification.

Field Summary
`static java.lang.String` | `CAT_COVNAME` coverage attribute table coverage_name column
`static java.lang.String` | `CAT_DESC` coverage attribute table description column
`static java.lang.String` | `CAT_LEVEL` coverage attribute table (topology) level column
`static java.lang.String` | `charVDTTableName` name of the VPF character value description table
`static java.lang.String` | `cndTableName` the name of VPF connected node tables
`static java.lang.String` | `DCW_FCS_TABLE1KEY` the feature class schema (fcs) table table1_key column for DCW
`static java.lang.String` | `DCW_FCS_TABLE2KEY` the feature class schema (fcs) table table2_key column for DCW
`static java.lang.String` | `EDG_COORDINATES` the edge file coordinates column name
`static java.lang.String` | `EDG_END_NODE` the edge file end_node column name
`static java.lang.String` | `EDG_LEFT_EDGE` the edge file left_edge column name
`static java.lang.String` | `EDG_LEFT_FACE` the edge file left_face column name
`static java.lang.String` | `EDG_RIGHT_EDGE` the edge file right_edge column name
`static java.lang.String` | `EDG_RIGHT_FACE` the edge file right_face column name
`static java.lang.String` | `EDG_START_NODE` the edge file start_node column name
`static java.lang.String[]` | `EMPTY_STRING_ARRAY` A string array with 0 elements
`static java.lang.String` | `endTableName` the name of VPF entity node tables
`static java.lang.String` | `FAC_RINGPTR` the face file ring_ptr column name
`static java.lang.String` | `faceTableName` the name of VPF Face Tables
`static java.lang.String` | `FBR_XMAX` face bounding rectangle xmax column
`static java.lang.String` | `FBR_XMIN` face bounding rectangle xmin column
`static java.lang.String` | `FBR_YMAX` face bounding rectangle ymax column
`static java.lang.String` | `FBR_YMIN` face bounding rectangle ymin column
`static java.lang.String` | `FCS_FEATURECLASS` the feature class schema (fcs) table feature_class column
`static java.lang.String` | `FCS_TABLE1` the feature class schema (fcs) table table1 column
`static java.lang.String` | `FCS_TABLE1KEY` the feature class schema (fcs) table table1_key column
`static java.lang.String` | `FCS_TABLE2` the feature class schema (fcs) table table2 column
`static java.lang.String` | `FCS_TABLE2KEY` the feature class schema (fcs) table table2_key column
`static java.lang.String` | `ID` the id column name for any VPF table
`static java.lang.String` | `intVDTTableName` name of the VPF integer value description table
`static java.lang.String` | `LAT_LIBNAME` library attribute table library_name column
`static java.lang.String` | `LAT_XMAX` library attribute table xmax column
`static java.lang.String` | `LAT_XMIN` library attribute table xmin column
`static java.lang.String` | `LAT_YMAX` library attribute table ymax column
`static java.lang.String` | `LAT_YMIN` library attribute table ymin column
`static java.lang.String` | `ND_CONTAININGFACE`
`static java.lang.String` | `ND_COORDINATE`
`static java.lang.String` | `ND_FIRSTEDGE`
`static java.lang.String` | `ringTableName` the name of VPF Ring tables
`static java.lang.String` | `RNG_FACEID` the ring file face_id column name
`static java.lang.String` | `RNG_STARTEDGE` the ring file start_edge column name
`static java.lang.String` | `VDT_ATTRIBUTE` int.vdt and char.vdt attribute column
`static java.lang.String` | `VDT_DESC` int.vdt and char.vdt description column
`static java.lang.String` | `VDT_TABLE` int.vdt and char.vdt table column
`static java.lang.String` | `VDT_VALUE` int.vdt and char.vdt value column

Field Detail

### intVDTTableName

    static final java.lang.String intVDTTableName

  name of the VPF integer value description table

  See Also:
    Constant Field Values

### charVDTTableName

    static final java.lang.String charVDTTableName

  name of the VPF character value description table

  See Also:
    Constant Field Values

### faceTableName

    static final java.lang.String faceTableName

  the name of VPF Face Tables

  See Also:
    Constant Field Values

### ringTableName

    static final java.lang.String ringTableName

  the name of VPF Ring tables

  See Also:
    Constant Field Values

### endTableName

    static final java.lang.String endTableName

  the name of VPF entity node tables

  See Also:
    Constant Field Values

### cndTableName

    static final java.lang.String cndTableName

  the name of VPF connected node tables

  See Also:
    Constant Field Values

### ID

    static final java.lang.String ID

  the id column name for any VPF table

  See Also:
    Constant Field Values

### RNG_STARTEDGE

    static final java.lang.String RNG_STARTEDGE

  the ring file start_edge column name

  See Also:
    Constant Field Values

### RNG_FACEID

    static final java.lang.String RNG_FACEID

  the ring file face_id column name

  See Also:
    Constant Field Values

### FAC_RINGPTR

    static final java.lang.String FAC_RINGPTR

  the face file ring_ptr column name

  See Also:
    Constant Field Values

### EDG_START_NODE

    static final java.lang.String EDG_START_NODE

  the edge file start_node column name

  See Also:
    Constant Field Values

### EDG_END_NODE

    static final java.lang.String EDG_END_NODE

  the edge file end_node column name

  See Also:
    Constant Field Values

### EDG_RIGHT_FACE

    static final java.lang.String EDG_RIGHT_FACE

  the edge file right_face column name

  See Also:
    Constant Field Values

### EDG_LEFT_FACE

    static final java.lang.String EDG_LEFT_FACE

  the edge file left_face column name

  See Also:
    Constant Field Values

### EDG_RIGHT_EDGE

    static final java.lang.String EDG_RIGHT_EDGE

  the edge file right_edge column name

  See Also:
    Constant Field Values

### EDG_LEFT_EDGE

    static final java.lang.String EDG_LEFT_EDGE

  the edge file left_edge column name

  See Also:
    Constant Field Values

### EDG_COORDINATES

    static final java.lang.String EDG_COORDINATES

  the edge file coordinates column name

  See Also:
    Constant Field Values

### ND_CONTAININGFACE

    static final java.lang.String ND_CONTAININGFACE

See Also:
  Constant Field Values

### ND_FIRSTEDGE

    static final java.lang.String ND_FIRSTEDGE

See Also:
  Constant Field Values

### ND_COORDINATE

    static final java.lang.String ND_COORDINATE

See Also:
  Constant Field Values

### VDT_TABLE

    static final java.lang.String VDT_TABLE

  int.vdt and char.vdt table column

  See Also:
    Constant Field Values

### VDT_ATTRIBUTE

    static final java.lang.String VDT_ATTRIBUTE

  int.vdt and char.vdt attribute column

  See Also:
    Constant Field Values

### VDT_VALUE

    static final java.lang.String VDT_VALUE

  int.vdt and char.vdt value column

  See Also:
    Constant Field Values

### VDT_DESC

    static final java.lang.String VDT_DESC

  int.vdt and char.vdt description column

  See Also:
    Constant Field Values

### CAT_COVNAME

    static final java.lang.String CAT_COVNAME

  coverage attribute table coverage_name column

  See Also:
    Constant Field Values

### CAT_DESC

    static final java.lang.String CAT_DESC

  coverage attribute table description column

  See Also:
    Constant Field Values

### CAT_LEVEL

    static final java.lang.String CAT_LEVEL

  coverage attribute table (topology) level column

  See Also:
    Constant Field Values

### FBR_XMIN

    static final java.lang.String FBR_XMIN

  face bounding rectangle xmin column

  See Also:
    Constant Field Values

### FBR_YMIN

    static final java.lang.String FBR_YMIN

  face bounding rectangle ymin column

  See Also:
    Constant Field Values

### FBR_XMAX

    static final java.lang.String FBR_XMAX

  face bounding rectangle xmax column

  See Also:
    Constant Field Values

### FBR_YMAX

    static final java.lang.String FBR_YMAX

  face bounding rectangle ymax column

  See Also:
    Constant Field Values

### LAT_LIBNAME

    static final java.lang.String LAT_LIBNAME

  library attribute table library_name column

  See Also:
    Constant Field Values

### LAT_XMIN

    static final java.lang.String LAT_XMIN

  library attribute table xmin column

  See Also:
    Constant Field Values

### LAT_YMIN

    static final java.lang.String LAT_YMIN

  library attribute table ymin column

  See Also:
    Constant Field Values

### LAT_XMAX

    static final java.lang.String LAT_XMAX

  library attribute table xmax column

  See Also:
    Constant Field Values

### LAT_YMAX

    static final java.lang.String LAT_YMAX

  library attribute table ymax column

  See Also:
    Constant Field Values

### FCS_FEATURECLASS

    static final java.lang.String FCS_FEATURECLASS

  the feature class schema (fcs) table feature_class column

  See Also:
    Constant Field Values

### FCS_TABLE1

    static final java.lang.String FCS_TABLE1

  the feature class schema (fcs) table table1 column

  See Also:
    Constant Field Values

### FCS_TABLE1KEY

    static final java.lang.String FCS_TABLE1KEY

  the feature class schema (fcs) table table1_key column

  See Also:
    Constant Field Values

### FCS_TABLE2

    static final java.lang.String FCS_TABLE2

  the feature class schema (fcs) table table2 column

  See Also:
    Constant Field Values

### FCS_TABLE2KEY

    static final java.lang.String FCS_TABLE2KEY

  the feature class schema (fcs) table table2_key column

  See Also:
    Constant Field Values

### DCW_FCS_TABLE1KEY

    static final java.lang.String DCW_FCS_TABLE1KEY

  the feature class schema (fcs) table table1_key column for DCW

  See Also:
    Constant Field Values

### DCW_FCS_TABLE2KEY

    static final java.lang.String DCW_FCS_TABLE2KEY

  the feature class schema (fcs) table table2_key column for DCW

  See Also:
    Constant Field Values

### EMPTY_STRING_ARRAY

    static final java.lang.String[] EMPTY_STRING_ARRAY

  A string array with 0 elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details